IntelliJ7's "Usages of API documented as @since 1.5(1.6)" inspection error

Hi!

I'm using JDK 1.6 but my target plataform is 1.5, and it seems that this inspection is not working.I activate it and checked 1.6 api methods as 'forbid'. (i'm testing the inspection with the isEmpty() String's method)

Anyone have this problem?

Thx

2 comments

Hello chisposeti,

I'm using JDK 1.6 but my target plataform is 1.5, and it seems that
this inspection is not working.I activate it and checked 1.6 api
methods as 'forbid'. (i'm testing the inspection with the
isEmpty() String's method)

Anyone have this problem?


The inspection does in fact work, but the list of new 1.6 APIs it is using
is unfortunately incomplete. We'll correct this in a bugfix update. Thanks
for your report!

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Great!!!!

Thanks for you reply Dmitry

0

Please sign in to leave a comment.